## NMSettingTeam NMSettingTeam — Describes connection properties for teams |

## Functions

GQuark | nm_setting_team_error_quark ()
NMSetting * | nm_setting_team_new ()
const char * | nm_setting_team_get_interface_name ()
const char * | nm_setting_team_get_config ()

## Properties

gchar * | config | Read / Write
gchar * | interface-name | Read / Write

## Types and Values

#define | NM_SETTING_TEAM_SETTING_NAME
enum | NMSettingTeamError
#define | NM_SETTING_TEAM_ERROR
#define | NM_SETTING_TEAM_INTERFACE_NAME
#define | NM_SETTING_TEAM_CONFIG

## Object Hierarchy

        GEnum
        ╰── NMSettingTeamError
        GObject
        ╰── NMSetting
            ╰── NMSettingTeam

## Includes

    #include <nm-setting-team.h>

## Description

The NMSettingTeam object is a NMSetting subclass that describes properties necessary for team connections.

## Functions

### nm_setting_team_error_quark ()

    GQuark
    nm_setting_team_error_quark (void);

Registers an error quark for NMSettingTeam if necessary.

#### Returns

the error quark used for NMSettingTeam errors.

Since 0.9.10

### nm_setting_team_new ()

    NMSetting *
    nm_setting_team_new (void);

Creates a new NMSettingTeam object with default values.

#### Returns

the new empty NMSettingTeam object.

[transfer full]

Since 0.9.10

### nm_setting_team_get_interface_name ()

    const char *
    nm_setting_team_get_interface_name (NMSettingTeam *setting);

#### Parameters

setting | the NMSettingTeam |

#### Returns

the “interface-name” property of the setting

Since 0.9.10

### nm_setting_team_get_config ()

    const char *
    nm_setting_team_get_config (NMSettingTeam *setting);

#### Parameters

setting | the NMSettingTeam |

#### Returns

the “config” property of the setting

Since 0.9.10

## Types and Values

### NM_SETTING_TEAM_SETTING_NAME

    #define NM_SETTING_TEAM_SETTING_NAME "team"

### enum NMSettingTeamError

#### Members

NM_SETTING_TEAM_ERROR_UNKNOWN | unknown or unclassified error |
NM_SETTING_TEAM_ERROR_INVALID_PROPERTY | the property was invalid |
NM_SETTING_TEAM_ERROR_MISSING_PROPERTY | the property was missing and is required |

### NM_SETTING_TEAM_ERROR

    #define NM_SETTING_TEAM_ERROR nm_setting_team_error_quark ()

### NM_SETTING_TEAM_INTERFACE_NAME

    #define NM_SETTING_TEAM_INTERFACE_NAME "interface-name"

### NM_SETTING_TEAM_CONFIG

    #define NM_SETTING_TEAM_CONFIG "config"

## Property Details

### The `“config”` property

      “config”                   gchar *

Flags: Read / Write

Default value: NULL

### The `“interface-name”` property

      “interface-name”           gchar *

Flags: Read / Write

Default value: NULL